com.io7m.jregions.core.parameterized.sizes

## Class PAreaSizeF.Builder<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PAreaSizeFType.Builder<S>
  - - com.io7m.jregions.core.parameterized.sizes.PAreaSizeF.Builder<S>

- Enclosing class:
    PAreaSizeF<S>

      public static final class PAreaSizeF.Builder<S>
      extends PAreaSizeFType.Builder<S>

  Builds instances of type `PAreaSizeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAreaSizeF<S>` | `build()` Builds a new `PAreaSizeF`.
    `PAreaSizeF.Builder<S>` | `from(AreaSizeValuesFType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesFType` instance.
    `PAreaSizeF.Builder<S>` | `from(PAreaSizeFType<S> instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeFType<S>` instance.
    `PAreaSizeF.Builder<S>` | `setSizeX(float sizeX)` Initializes the value for the `sizeX` attribute.
    `PAreaSizeF.Builder<S>` | `setSizeY(float sizeY)` Initializes the value for the `sizeY` attribute.

    - ### Methods inherited from class com.io7m.jregions.core.parameterized.sizes.PAreaSizeFType.Builder

      `setHeight, setWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PAreaSizeF.Builder<S> from(PAreaSizeFType<S> instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeFType<S>` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final PAreaSizeF.Builder<S> from(AreaSizeValuesFType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesFType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final PAreaSizeF.Builder<S> setSizeX(float sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final PAreaSizeF.Builder<S> setSizeY(float sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PAreaSizeF<S> build()

      Builds a new `PAreaSizeF`.
      Returns:
        An immutable instance of PAreaSizeF
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com